---
search:
  tags:
    - Markets
    - GET
seo:
  description: >-
    Retrieves markets configured for the specified application with… Reference
    for the GET /api/v1/{team_slug}/{app_slug}/markets endpoint in the
    Management API.
sidebar:
  label: List all markets
  badge: GET
title: List all markets
type: openapi-operation
---
Retrieves markets configured for the specified application with pagination, including their locale, currency, and country code settings.

`GET /api/v1/{team_slug}/{app_slug}/markets`

**Responses**

- `200` — List of markets
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "active": true,
      "country_codes": [
        "string"
      ],
      "created_at": "string",
      "currency_code": "string",
      "id": "string",
      "locale": "string",
      "name": "string",
      "slug": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
